@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@300&family=Oswald:wght@300&display=swap');

* {
    margin: 0;
    padding: 0;
    border: none;
}

html {
    height: 100%;
}

body {
    font-family: Manrope, sans-serif;
    font-weight: 500;
    color: #616161;
    min-height: 100%;
    max-width: 1800px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}

/* headings and logo */

h1 {
    font-family: Oswald, sans-serif;
    text-transform: uppercase;
    letter-spacing: 3px;
    color: #fafafa;
}

h3,
h2 {
    text-transform: uppercase;
    letter-spacing: 3px;
    text-align: center;
}

header {
    background-color: rgba(79, 196, 207, 1);
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 600;
    letter-spacing: 2px;
    flex-direction: row;
    z-index: 5;
}

.logo {
    width: 150px;
    height: 150px;
    margin: 10px 0 0 10px;
}

/* Navbar / Code for hamburger menu was borrowed from https://codepen.io/alvarotrigo/pen/MWEJEWG */

.menu li a {
    color: #5d3c96;
    text-decoration: none;
    font-size: 150%;
}

.active {
    border-bottom: 1px solid #5d3c96;
}

.menu {
    display: flex;
    flex-direction: row;
    list-style-type: none;
    margin: 0;
    padding: 0;
    z-index: 5;
}

.menu>li {
    margin: 0 1rem;
    overflow: hidden;
}

.menu-button-container {
    display: none;
    height: 100%;
    width: 30px;
    cursor: pointer;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-right: 10px;
}

#menu-toggle {
    display: none;
}

.menu-button,
.menu-button::before,
.menu-button::after {
    display: block;
    background-color: #5d3c96;
    position: absolute;
    height: 4px;
    width: 30px;
    transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
    border-radius: 2px;
}

.menu-button::before {
    content: '';
    margin-top: -8px;
}

.menu-button::after {
    content: '';
    margin-top: 8px;
}

#menu-toggle:checked+.menu-button-container .menu-button::before {
    margin-top: 0px;
    transform: rotate(405deg);
}

#menu-toggle:checked+.menu-button-container .menu-button {
    background: #4fc4cf;
}

#menu-toggle:checked+.menu-button-container .menu-button::after {
    margin-top: 0px;
    transform: rotate(-405deg);
}

/* Dropdown nav */

.dropbtn {
    display: inline-block;
    color: #fafafa;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
}

.dropdown-content:nth-child(2) {
    font-size: 80%;
    color: #fafafa;
}

.dropdown-content:nth-child(2) a {
    background-color: #fafafa;
}

li.dropdown {
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    min-width: 200px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    overflow: auto;
}

.dropdown-content a {
    color: #fafafa;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.dropdown-content a:hover {
    background-color: rgba(79, 196, 207, 1);
}

.dropdown:hover .dropdown-content {
    display: block;
}

@media (max-width: 820px) {

    .active {
        border-bottom: 1px solid #5d3c96;
        margin-bottom: 8px;
    }

    .dropdown:checked {
        display: block;
    }

    .dropdown-content a:hover {
        background-color: #4fc4cf;
    }

    .menu-button-container {
        display: flex;
    }

    .menu {
        position: absolute;
        top: 0;
        margin-top: 94px;
        left: 0;
        flex-direction: column;
        width: 100%;
        justify-content: center;
        align-items: center;
    }

    #menu-toggle~.menu li {
        height: 0;
        margin: 0;
        padding: 0;
        border: 0;
        transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
    }

    #menu-toggle:checked~.menu li {
        border-top: 1px solid #5d3c96;
        height: 2.5em;
        transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
        padding-top: 0.5rem;
    }

    #menu-button-rm {
        display: none;
    }

    .dropdown-content a {
        text-align: center;
        border-top: 1px solid #5d3c96;
    }

    .dropdown div {
        margin-top: 40px;
        width: 100%;
    }

    .menu>li {
        display: flex;
        justify-content: center;
        margin: 0;
        padding: 0;
        width: 100%;
        color: #fafafa;
        background-color: rgba(79, 196, 207, 1);
    }

    .menu>li:not(:last-child) {
        border-bottom: 1px solid #4fc4cf;
    }

    .menu li a {
        text-decoration: none;
        font-size: 150%;
    }

    .logo {
        width: 75px;
        height: 75px;
        margin: 10px 0 0 10px;
    }
}

.main-bg {
    text-align: center;
    display: flex;
    margin: 50px auto;
}

.image-left {
    flex: 1;
    margin: 10px 20px;
}

.image-left img {

    border-radius: 1rem;
}

.right-about {
    flex: 2;
    margin: auto 30px;
    font-size: 150%;
    font-weight: 500;
    text-align: left;
    box-sizing: border-box;
}

.right-about p {
    text-align: left;
    margin-top: 10px;
}

hr {
    border-top: 1px solid #5d3c96;
    width: 100%;
}

/* Services/Home page */

.services-container-1 {
    display: flex;
    margin: 40px 0 0 0;
    flex-direction: column;
}

.services-container-2 {
    display: flex;
    margin: 40px 0;
    flex-direction: column;
}

.services {
    display: flex;
    margin: 20px;
}

.services-container-1 h2 {
    font-size: 150%;
    margin-bottom: 40px;
}

.services-top-2 h4 {
    font-size: 110%;
    margin: 10px 0;
}

.services p {
    margin-top: 15px;
}

.services-top {
    display: flex;
    flex-direction: column;
}

.services-bottom-2,
.services-top-2 {
    margin-top: 20px;
}

.services-top-2 ul {
    padding-left: 20px;
}

.services-image-top {
    display: flex;
    flex: 2;
    margin-left: 20px;
}

.services-image-top img {
    margin: auto;
    border-radius: 1rem;
}

.services-bottom {
    display: flex;
    flex-direction: column;
    order: 2;
}

.services-image-bottom {
    order: 1;
    margin-right: 20px;
    display: flex;
    flex: 2;
}

.services-image-bottom img {
    margin: auto;
    border-radius: 1rem;

}

.services a {
    padding: 1px 8px;
    border-radius: 1rem;
    background: rgba(93, 62, 150, 1);
    color: #fafafa;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
}

/* Services/Therapies pages */

.therapy {
    display: flex;
}

.therapy-inner {
    margin: 20px 30px;
}

.therapy li {
    margin: 20px;
}

.therapy-heading {
    color: #5d3c96;
}

.therapy p,
.therapy h2,
.therapy h3 {
    margin: 20px 0;
}

.therapy h3 {
    text-align: left;
}

.therapy-image {
    margin: 50px 40px auto 0;
}

.therapy img {
    height: auto;
    border-radius: 1rem;
}

.parental-image {
    margin-bottom: 40px;
}

/* Our team section/ code borrowed and edited from https://rising-women.herokuapp.com/mentors/*/

.our-team-container {
    display: flex;
    margin-bottom: 50px;
    flex-direction: column;
}

.our-team-container h2 {
    margin-top: 20px;
    font-size: 180%;
    padding-bottom: 5px;
}

.our-team-inner {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin: auto;
}

.our-team {
    display: flex;
    flex-direction: column;
    flex-basis: 40%;
    margin-top: 1.5rem;
    text-align: center;
    align-items: center;
}

.our-team-bg {
    height: 100%;
    width: 70%;
    padding: 10px;
}

.cv-logo {
    margin-top: auto;
}

.our-team-link {
    font-weight: 600;
    margin: auto;
    background-color: rgb(229, 231, 233, 0.7);
    border-radius: 1rem;
    padding: 10px;
}

.our-team-inner h3 {
    text-transform: capitalize;
}

.our-team-inner p {
    padding: 10px 0;
    text-transform: uppercase;
}

.our-team-link a {
    text-decoration: none;
    color: #fafafa;
    font-weight: 400;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    border-radius: 1rem;
    background-color: #5d3e96;
    padding: 1px 4px;
}

.our-team-1 {
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.4);
    border-radius: 1.5rem 1.5rem 0 1.5rem;
    margin-left: auto;
}

.our-team-2 {
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.4);
    border-radius: 1.5rem 1.5rem 1.5rem 0;
    margin-right: auto;
}

.our-team-3 {
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.4);
    border-radius: 1.5rem 0 1.5rem 1.5rem;
    margin-left: auto;
}

.our-team-4 {
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.4);
    border-radius: 0 1.5rem 1.5rem 1.5rem;
    margin-right: auto;
}

/* Form, code borrowed and edited from https://rising-women.herokuapp.com/contact/ */

.form-container-outer {
    width: 100%;
    overflow: hidden;
    position: relative;
    margin-top: auto;
}

.form-container-bg {
    display: flex;
    justify-content: center;
}

.form-container-mid {
    display: flex;
    justify-content: center;
    width: 80%;
}

.form-container {
    width: 50%;
    display: flex;
    flex-direction: column;
    color: #3f3f3f;
    margin: 10px 0;
    background-color: rgba(229, 231, 233, 0.7);
    align-items: center;
    border-radius: 1rem;
}

.signup-form {
    width: 80%;
    padding: 20px 0;
}

.required-field-b {
    font-size: 90%;
}

.required-field {
    color: #f74242;
    font-size: 90%;
}

.form-control {
    display: flex;
    flex-direction: column;
}

.form-control input {
    flex: 1;
    font-size: 100%;
    padding: 2px 8px;
}

.form-control label {
    padding-bottom: 5px;
}

.text-input {
    border-radius: 0.5rem;
    border: 2px solid #5d3c96;
    line-height: 2;
    font-family: Manrope, sans-serif;
    font-size: 100%;
    padding: 0 8px;
}

.signup-form div {
    margin-bottom: 20px;
}

.join-button {
    margin-top: 10px;
    border-radius: 0.4rem;
    padding: 10px 20px 10px 20px;
    text-align: center;
    font-size: 100%;
    background-color: #5d3c96;
    color: #fafafa;
    display: block;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.4);
}

/* Thank you page*/

.submit-form-outer {
    display: flex;
    flex-direction: column;
}

.submit-form {
    margin: 50px;
}

.return-home {
    margin: 50px auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.sub-form-logo {
    margin: 20px auto;
}

.sub-form-logo img {
    max-width: 200px;
}

/* CV pages*/

.cv-outer {
    display: flex;
}

.cv-inner {
    flex: 1;
    margin: auto;
    padding: 20px 0;
    display: flex;
}

.cv {
    text-align: center;
    flex: 0.8;
    margin: 20px auto;
    display: flex;
    flex-direction: column;
    border-radius: 10px;
    background-color: rgba(112, 201, 209, 0.1);
}

.cv-info {
    display: flex;
    margin-top: 20px;
}

.cv-info-inner {
    margin: auto;
    flex: 0.4;
    border-radius: 10px;
    background-color: rgba(112, 201, 209, 0.3);
}

.cv-description {
    margin-top: 20px;
}

.cv-info h2,
.cv-info h3,
.cv-info h4 {
    margin: 20px 0;
}

.cv-info h2 {
    text-transform: capitalize;
}

.cv-info h3 {
    letter-spacing: 2px;
}

.cv p {
    padding: 20px 10px;
    text-align: left;
    font-weight: 600;
}

/* footer*/

footer {
    background-color: #3f3f3f;
    color: #fafafa;
    display: flex;
    flex-direction: column;
    margin-top: auto;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin: 20px auto;
}

footer a {
    color: #fafafa;
}

.social {
    font-size: 150%;
    align-items: center;
    order: 1;
    display: flex;
    justify-content: space-between;
    box-sizing: border-box;
    margin: auto;
    flex-wrap: wrap;
}

.social li {
    display: inline-block;
    padding-left: 25px;
}

.map-footer {
    align-items: center;
    box-sizing: border-box;
    order: 3;
    margin: 10px auto;
}

#address {
    margin: auto;
    display: flex;
    letter-spacing: 2px;
    order: 2;
    flex-direction: column;
    text-align: left;
}

#address h3,
#address h2 {
    padding-bottom: 8px;
    color: #fafafa;
    margin-right: auto;
    text-transform: capitalize;
}

#address p {
    padding-bottom: 8px;
}

.copyright {
    font-size: 80%;
    padding-bottom: 5px;
    margin: 0 auto 10px auto;
}

.copyright h3 {
    color: #fafafa;
}

@media screen and (max-width: 820px) {

    .main-bg,
    .services,
    .footer-container,
    .therapy {
        flex-direction: column;
    }

    .main-bg {
        font-size: 80%;
    }

    .services {
        margin: 20px;
    }

    .services-top-1,
    .services-bottom-1 {
        margin-bottom: 20px;
    }

    .services-image-bottom,
    .services-image-top,
    .image-left,
    .therapy-image {
        max-width: 90%;
        margin: auto;
        padding: 15px 0;
    }

    .services-image-top img,
    .services-image-bottom img,
    .therapy-image img {
        width: 100%;
        height: auto;
    }

    .services-bottom {
        display: flex;
        flex-direction: column;
        order: 1;
    }

    .services-image-bottom {
        margin-right: 20px;
        display: flex;
        flex: 2;
        order: 2;
    }

    .our-team-inner {
        flex-direction: column;
        margin: 0;
    }

    .our-team-bg-sm {
        border-radius: 1.5rem;
        margin: auto;
    }

    .cv {
        flex: 1;
        margin: 0 15px;
    }

    .cv-info-inner {
        margin: auto;
        padding: 0 30px;
        border-radius: 10px;
        background-color: rgba(112, 201, 209, 0.3);
    }

    .cv-info-elena {
        padding: 0 40px;
    }

    .cv-info-katerina {
        padding: 0 15px;
    }

    .map-footer {
        order: 2;
        margin: 0 auto;
    }

    iframe {
        width: 100%;
    }

    #address {
        margin: 0 25px 10px;
        order: 1;
    }

    .form-container {
        width: 100%;
        margin: 0;
        border-radius: 0;
    }

    .form-container-mid {
        width: 100%;
    }

    .social {
        order: 3;
        margin: 10px 0 0 0;
    }

    .social li {
        margin-right: 15px;
    }

    .copyright {
        padding: 0;
        margin: 0 0 5px 25px;
    }
}

@media screen and (max-width:1024px) {

    .menu {
        margin-right: 10px;
    }

    .services-bottom,
    .services-top {
        flex: 3;
    }

    .services-image-top img,
    .services-image-bottom img {
        max-width: 100%;
        height: auto
    }

    .services-image-top,
    .services-image-bottom {
        margin-top: 20px;
        margin-bottom: auto;
    }

    .image-left img {
        max-width: 100%;
        height: auto;
    }

    .image-left {
        flex: 3;
    }

    .right-about {
        flex: 4;
        order: 1;
    }

    .services-top-1,
    .services-bottom-1 {
        margin-bottom: 20px;
    }

    .therapy {
        flex-direction: column;
    }

    .therapy-image {
        margin: auto;
        padding-top: 20px;
        order: 2;
    }
}

/*Error page*/

.error-page-container {
    display: flex;
    margin: auto;
    color: #fafafa;
    background-color: rgba(93, 62, 150, 0.5);
    min-height: 80vh;
    width: 100%;
}

.error-page {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin: auto;
    padding: 1rem;
}

.error-page h2 {
    font-size: 3rem;
    text-transform: none;
}

.error-page p,
.error-page a {
    font-size: 2rem;
    margin-top: 2rem;
    color: #fafafa;
}